Activer les plugins NPAPI sur Firefox

Depuis la version 52 de Firefox, les plugins NPAPI ne sont plus supportés à l’exception du plugin Flash.
Les plugins NAPI sont donc obsolètes et ne fonctionneront plus par défaut sur Firefox.
Par exemple, au moment où sont écrites ces lignes, le plugin Java ne fonctionne plus et n’apparaît plus dans la liste des plugins.

Il est toutefois possible de forcer l’utilisation des plugins NPAPI, voici comment procéder.

Pour illuster l’introduction, ci-dessous Firefox en version 43, on peut voir la liste des plugins dont Java.

Après mise à jour de Frefox en version 52, le plugin Java n’est plus visible.

Installer la version ESR

Désinstaller et Installer la version ESR de Firefox : https://ftp.mozilla.org/pub/firefox/releases/52.3.0esr/win32/fr/Firefox%20Setup%2052.3.0esr.exe
Le downgrade peut nécessite de de repartir sur un profil Firefox vierge.
Cela nécessite de supprimer les dossiers %LOCALAPPDATA% et %APPDATA%

Forcer les plugins NPAPI

Il est possible d’activer les plugins obsolètes, pour cela.
Dans la barre d’adresse, tapez about:config
Acceptez l’ouverture et modifications en cliquant sur « Je prends le risque ».

Faites un clic droit sur puis Nouveau > Valeur booléenne

Dans le nom de l’option, saisissez : plugin.load_flash_only

Laissez sélectionner false et faites OK.

Redémarrez Firefox
Depuis l’adresse : about:addons
La liste des plugins revient à la normale, vous retrouvez les mêmes plugins qu’avant la mise à jour de Firefox.

Une mise à jour de Firefox peut probablement annuler cette modification.
Pour pouvoir continuer à utiliser les plugins NPAPI après les mises à jour de Firefox, reportez-vous à la page, et à la fin de la procédure pour modifier le canel de mise à jour Firefox : FireFox 52 et les plug in qui ne fonctionnent plus

Print Friendly, PDF & Email
(Visité 14 578 fois, 8 visites ce jour)
Noter cet article

Add Comment